ranges::v3::view::iter_take_while_fn Struct Reference

## Synopsis of methods

constexpr view< iter_take_while_fn > | iter_take_while {}

## Public Types

template<typename Rng , typename Pred >
using | Concept = meta::and_< InputRange< Rng >, Predicate< Pred &, iterator_t< Rng > >, CopyConstructible< Pred > >

## Public Member Functions

template<typename Rng , typename Pred , requires = (Concept<Rng, Pred>())>
iter_take_while_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const